Subject: Re: bug#40965: 12.2.0; Update all mode lines in TeX-command-sentinel?

From: Ikumi Keita <[email-masked]>
Date: Sat, 09 May 2020 20:20:34 +0900

Hi David,

>>>>> David Fussner via bug-auctex via Bug reporting list for AUCTeX <[email-masked]> writes:
> When running LaTeX on a file, the mode-line notifications of compilation,
> e.g.:

> [compiling] (LaTeX/P Compiling Ref)

> disappear when compilation is complete, but _only_ in the LaTeX buffer
> where the command was issued. The notifications appear in the mode lines
> of all windows in all frames, and remain there, somewhat confusingly,
> until you switch focus to that frame or window. I frequently have a
> BibTeX buffer in a window below a LaTeX buffer in the same frame, and I
> find this somewhat distracting, more noticeably so now in GNU Emacs 27
> where there are more notifications. I've checked with GNU Emacs 26 and
> the problem is there, and also with an older AUCTeX version. Current
> master behaves the same in my testing.

Confirmed on my side as well (Emacs 26.3 and AUCTeX 12.2).

> In Emacs' compile.el compilation-sentinel calls
> compilation--update-in-progress-mode-line at the end, which tells
> whether compilation is ongoing and if not calls (force-mode-line-update
> t) to return all mode lines to their state pre-compilation. Would
> something similar in TeX-command-sentinel in tex-buf.el be the right
> thing?

I agree. I'll commit the suggested change in the git repository
soon. Thank you for your report and analysis!

Regards,
Ikumi Keita